Subject: bug#18590: 24.3.93; Scrolling changes/forgets selection

From: martin rudalics <[email-masked]>
Date: Tue, 30 Sep 2014 19:56:04 +0200

> Anyway, if point must be moved, please can it be put back automatically
 > where it belongs when the user scrolls the window back and point's
 > correct location is once again in view? Consider this a wishlist request.
 >
 > I'd also like to have typing, or any command involving point, scroll the
 > window so that the correct location of point comes into view and then act on
 > point where it belongs rather than where Emacs has "randomly" moved it.
 > Of course this would have to be an optional behaviour, something like a
 > (setq point-follows-window nil). Consider it as second wishlist request?

I addressed some of these issues here:

https://lists.gnu.org/archive/html/emacs-devel/2008-02/msg01892.html

martin